Bug 6451 - "net rpc user rename" is always failed by "access denied".
"net rpc user rename" is always failed by "access denied".
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Client tools
3.3.4
x86 Linux
: P3 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 12:41 UTC by TAKAHASHI Motonobu
Modified: 2009-06-17 03:51 UTC (History)
1 user (show)

See Also:


Attachments
Level10 log (9.32 KB, application/octet-stream)
2009-06-07 12:42 UTC, TAKAHASHI Motonobu
no flags Details
patch for master and 3.4 (779 bytes, patch)
2009-06-16 08:05 UTC, Guenther Deschner
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2009-06-07 12:41:31 UTC
"net rpc user rename" is always failed by "access denied".

-----
samba32a# /usr/local/samba/bin/net -s /dev/null  -S 192.168.135.139 -U administrator%password rpc user rename rpc01 rpc01m
Failed to rename user from rpc01 to rpc01m - Access is denied
-----
Comment 1 TAKAHASHI Motonobu 2009-06-07 12:42:54 UTC
Created attachment 4257 [details]
Level10 log

Level 10 log. against Windows 2000 Professional.
Comment 2 TAKAHASHI Motonobu 2009-06-07 12:43:45 UTC
I tested against Windows Server 2008 DC / Windows XP Professional SP3 / Windows 2000 Professional SP4 and all are failed.
Comment 3 Volker Lendecke 2009-06-08 03:24:12 UTC
Hmmm. Any OS/2 people willing to provide a sniff of OS/2 doing the user rename against a Windows domain?

If not, I would tend to not spend too much effort on this, "net rap" is pretty much deprecated.

Volker
Comment 4 Guenther Deschner 2009-06-08 04:16:59 UTC
Ok, this looks like a client samr access bit problem in libnetapi.
Comment 5 Volker Lendecke 2009-06-08 04:20:51 UTC
Ooops, I had read "net rap user rename".... Sorry :-)

Volker
Comment 6 Guenther Deschner 2009-06-16 08:04:25 UTC
Ok, this is fixed in master now with 
http://git.samba.org/?p=samba.git;a=commitdiff;h=29b8e08b83eeb0ab7d33bf46981cdbad8c35dc9b
Comment 7 Guenther Deschner 2009-06-16 08:05:08 UTC
Created attachment 4294 [details]
patch for master and 3.4
Comment 8 Volker Lendecke 2009-06-16 08:31:27 UTC
Comment on attachment 4294 [details]
patch for master and 3.4

Tested. Fixes the problem.
Comment 9 Guenther Deschner 2009-06-16 17:24:46 UTC
before I forget, patch also needs to go into 3.3
Comment 10 Karolin Seeger 2009-06-17 03:51:27 UTC
Patch has been pushed to v3-4-test and v3-3-test.
Will be included in the next releases.
Closing out bug report.

Thanks for reporting!